<script type="text/javascript">
    function regexSubject()
    {
        var content = $.trim($("#message_subject").val());
        if(content.length ==0)
        {
            $("#subject_span").text("<%= l(:label_subject_empty) %>");
            $("#subject_span").css('color','#ff0000');
            return  false;
        }
        else
        {
            $("#subject_span").text("<%= l(:label_field_correct) %>");
            $("#subject_span").css('color','#008000');
            return true;
        }
        return false;
    }
    function regexContent()
    {
        var content = $.trim($("#message_content").val());
        if(content.length ==0)
        {
            $("#message_content_span").text("<%= l(:label_reply_empty) %>");
            $("#message_content_span").css('color','#ff0000');
            return  false;
        }
        else
        {
            $("#message_content_span").text("<%= l(:label_field_correct) %>");
            $("#message_content_span").css('color','#008000');
            return true;
        }
        return false;
    }
</script>
<%= error_messages_for 'message' %>
<% replying ||= false %>

<div class="box ph10_5">
  <!--[form:message]-->
  <% extra_option = replying ? { readonly: true} : { maxlength: 200 } %>
  <p>
    <label for="message_subject">
      <%= l(:field_subject) %>
      <span class="required"> *&nbsp;&nbsp;</span>
    </label>
    <br/>
    <% if replying %>
        <%= f.text_field :subject, { size: 60, style: "width: 99%;", id: "message_subject" }.merge(extra_option) %>
    <% else %>
        <%= f.text_field :subject, { size: 60, style: "width: 99%;", id: "message_subject", onkeyup: "regexSubject();" }.merge(extra_option) %>
    <% end %>
    <span id="subject_span"></span>
  </p>
  <p>
    <% unless replying %>
        <% if @message.safe_attribute? 'sticky' %>
            <%= f.check_box :sticky %>
            <%= label_tag 'message_sticky', l(:label_board_sticky) %>
        <% end %>
        <% if @message.safe_attribute? 'locked' %>
            <%= f.check_box :locked %>
            <%= label_tag 'message_locked', l(:label_board_locked) %>
        <% end %>
    <% end %>
  </p>
  <p>
    <label for="message_subject">
      <%= l(:field_description) %>
      <span class="required"> *&nbsp;&nbsp;</span>
    </label>
  <div id="message_quote" class="wiki" style="width: 100%;word-break: break-all;word-wrap: break-word;"></div>
  <%= text_area :quote,:quote,:style => 'display:none' %>
  </p>
  <p>
    <%= label_tag "message_content", l(:description_message_content), :class => "hidden-for-sighted" %>
    <%= f.text_area :content, :cols => 80, :rows => 13, :class => 'wiki-edit', :id => 'message_content', :onkeyup => "regexContent();", :maxlength => 5000 %>
    <span id="message_content_span"></span>
  </p>
  <p>
    <%= l(:label_attachment_plural) %>
    <br />
    <%= render :partial => 'attachments/form_course', :locals => {:container => @message,:isReply => @isReply} %>
  </p>
</div>